import * as React from "react";
import "@/components/tiptap-ui-primitive/button/button-colors.scss";
import "@/components/tiptap-ui-primitive/button/button-group.scss";
import "@/components/tiptap-ui-primitive/button/button.scss";
type PlatformShortcuts = Record<string, string>;
export interface ButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    className?: string;
    showTooltip?: boolean;
    tooltip?: React.ReactNode;
    shortcutKeys?: string;
}
export declare const MAC_SYMBOLS: PlatformShortcuts;
export declare const formatShortcutKey: (key: string, isMac: boolean) => string;
export declare const parseShortcutKeys: (shortcutKeys: string | undefined, isMac: boolean) => string[];
export declare const ShortcutDisplay: React.FC<{
    shortcuts: string[];
}>;
export declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
