import { type Editor } from "@tiptap/react";
import "@/components/tiptap-ui/heading-dropdown-menu/heading-dropdown-menu.scss";
import { type Level } from "@/components/tiptap-ui/heading-button/heading-button";
import type { ButtonProps } from "@/components/tiptap-ui-primitive/button";
export interface HeadingDropdownMenuProps extends Omit<ButtonProps, "type"> {
    editor?: Editor | null;
    levels?: Level[];
    hideWhenUnavailable?: boolean;
    onOpenChange?: (isOpen: boolean) => void;
}
export declare function HeadingDropdownMenu({ editor: providedEditor, levels, hideWhenUnavailable, onOpenChange, ...props }: HeadingDropdownMenuProps): import("react/jsx-runtime").JSX.Element | null;
export default HeadingDropdownMenu;
