import './scopedStyles.scss';
import TiptapEditor from './components/tiptap-editor/TiptapEditor';
export { default as TiptapEditor } from './components/tiptap-editor/TiptapEditor';
export type { TiptapEditorProps } from './components/tiptap-editor/TiptapEditor';
export default TiptapEditor;
export { ImageUploadNode, type ImageUploadNodeOptions, type UploadFunction, } from './components/tiptap-node/image-upload-node/image-upload-node-extension';
export { ImageUploadButton, useImageUploadButton, isImageActive, insertImage, } from './components/tiptap-ui/image-upload-button';
export { convertFileToBase64, handleImageUpload, MAX_FILE_SIZE, } from './lib/tiptap-utils';
