import * as React from "react";
import type { NodeViewProps } from "@tiptap/react";
import "./image-upload-node.scss";
export interface FileItem {
    id: string;
    file: File;
    progress: number;
    status: "uploading" | "success" | "error";
    url?: string;
    abortController?: AbortController;
}
export declare const ImageUploadNode: React.FC<NodeViewProps>;
