import * as React from "react";
import "./toolbar.scss";
type BaseProps = React.HTMLAttributes<HTMLDivElement>;
interface ToolbarProps extends BaseProps {
    variant?: "floating" | "fixed";
}
export declare const Toolbar: React.ForwardRefExoticComponent<ToolbarProps & React.RefAttributes<HTMLDivElement>>;
export declare const ToolbarGroup: React.ForwardRefExoticComponent<BaseProps & React.RefAttributes<HTMLDivElement>>;
export declare const ToolbarSeparator: React.ForwardRefExoticComponent<BaseProps & React.RefAttributes<HTMLDivElement>>;
export {};
